org.bouncycastle.asn1.cms

## Class ContentInfoParser

- java.lang.Object
- - org.bouncycastle.asn1.cms.ContentInfoParser

    public class ContentInfoParser
    extends java.lang.Object

Produce an object suitable for an ASN1OutputStream.

     ContentInfo ::= SEQUENCE {
              contentType ContentType,
              content
              [0] EXPLICIT ANY DEFINED BY contentType OPTIONAL }

### Constructor Summary

Constructors
Constructor and Description
`ContentInfoParser(ASN1SequenceParser seq)`

### Method Summary

Methods
`DEREncodable` `getContent(int tag)`
`DERObjectIdentifier` `getContentType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentInfoParser

    public ContentInfoParser(ASN1SequenceParser seq)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getContentType

    public DERObjectIdentifier getContentType()

#### getContent

    public DEREncodable getContent(int tag)
                            throws java.io.IOException

Throws:
  `java.io.IOException`